import Combine

public extension Bus {
  final class Sender<T> {
    var subscriptions = [AnyCancellable]()

    public init(
      _ key: String,
      _ node: AnyPublisher<T, Never>,
      opt: [Option] = []
    ) {
      Bus.send(key, node, opt: opt, sub: &subscriptions)
    }
  }
}
